# Personal Website ![Build Status](https://img.shields.io/github/actions/workflow/status/hadichaudhri/hadichaudhri.github.io/pages%2Fpages-build-deployment?style=flat-square&labelColor=202b2d&color=087e96) ![Last Commit](https://img.shields.io/github/last-commit/hadichaudhri/hadichaudhri.github.io?style=flat-square&labelColor=202b2d&color=087e96) ![Issues](https://img.shields.io/github/issues/hadichaudhri/hadichaudhri.github.io?style=flat-square&labelColor=202b2d&color=087e96)

This is the source code for my [personal website](https://hadichaudhri.github.io). It's built off of the [tabi](https://github.com/welpo/tabi) theme for the [Zola](https://www.getzola.org/) static site engine.

![Site Screenshot](./static/img/site_preview.png)

## Dependencies

-   [Zola](https://www.getzola.org/)
-   [tabi](https://github.com/welpo/tabi)

## Development

Start the web server: `zola serve`

## Production

Build the website: `zola build`

## Deployment

Configuration files for GitHub, GitLab, and Netlify integrations are provided. The relevant provider will automatically source the relevant configuration files and set up auto-deploy functionality once the repository is linked.You can find my hosted Netlify instance [here](https://hadic.netlify.app/).

[Site Demo](./static/vid/site_demo.m4v)
